List Visitor Lists | Orwel Docs
Docs

List Visitor Lists

Retrieve a paginated list of visitor lists (segments)

GET https://api.orwel.io/api/v1/lists

Query Parameters

limitintegerquerydefault: 50

Maximum number of results to return (max: 100)

offsetintegerquerydefault: 0

Number of results to skip for pagination

Response

dataarray

Array of visitor list objects

Show List Object
idstring

Unique identifier for the list

namestring

List name

descriptionstring

Description

colorstring

Color code

created_atstring

ISO 8601 timestamp of creation

paginationobject

Pagination information

Request
curl -X GET "https://api.orwel.io/api/v1/lists?limit=10" \
  -H "Authorization: Bearer orwel_sk_YOUR_KEY"
Response
{
  "data": [
    {
      "id": "list-uuid",
      "name": "VIP Customers",
      "description": "High value customers",
      "color": "#FF0000",
      "created_at": "2025-01-01T00:00:00Z"
    }
  ],
  "pagination": {
    "limit": 10,
    "offset": 0,
    "total": 5
  }
}